Bug Hunting Session
Bug 88283 - Calc - Fill vertically exceeds top of cell boundary by 1px greater than No Fill cells
Summary: Calc - Fill vertically exceeds top of cell boundary by 1px greater than No Fi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: All All
: lowest minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-11 00:28 UTC by Marc Meledandri
Modified: 2017-12-13 09:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
testcase (9.23 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-01-11 00:28 UTC, Marc Meledandri
Details
Testcase-Proper-Mime-Type (9.23 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-01-11 00:30 UTC, Marc Meledandri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Meledandri 2015-01-11 00:28:50 UTC
Created attachment 112079 [details]
testcase

STR:

1) Fill area with any color
2) Select No Fill for a horizontally adjacent cell
3) Notice vertical alignment mismatch between filled and non-filled cells

Please see simple testcase attachement
Comment 1 Marc Meledandri 2015-01-11 00:30:14 UTC
Created attachment 112080 [details]
Testcase-Proper-Mime-Type
Comment 2 Marc Meledandri 2015-01-11 15:23:05 UTC
I'm not sure what the indended behavior is, only that filled and No Filled cells don't align.

I suppose the converse of my summary could be true:
Perhaps No Fill should be removing one more row of pixels at the top edge of a cell. That would also fix this problem,
Comment 3 raal 2015-01-12 11:52:32 UTC
I can confirm with LO 4.3.5, win7.

This also exists in excel, so probably not a bug. Leaving unconfirmed.
Comment 4 Joel Madero 2015-10-17 17:13:56 UTC
Hi Marc,

I'm going to go ahead and push this to NEW - it does indeed seem a little strange (even if Excel behaves the same). 

That being said:
New
Minor - not going to prevent high quality work at all;
Lowest - not going to impact a lot of users at all, I can't imagine many case scenarios where this would actually be an issue. Also, Excel behaving the same way gives some weight to the "users don't care" or "users don't notice" or "users have learned to work around it" - all of which contribute to my assessment that this is a really minor issue.
Comment 5 QA Administrators 2016-11-08 11:42:17 UTC Comment hidden (obsolete)
Comment 6 Marc Meledandri 2016-12-11 17:12:14 UTC
The original STR as reported and shown in comment 1 attachment can be still be reproduced in Version: 5.1.6.2.
Comment 7 QA Administrators 2017-12-13 09:30:00 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug